sparkcrawlDocs

Create a scoped key; secret returned once; session owner/admin only

POST
/api/v1/keys

Authorization

sessionCookie
cookiesparkcrawl_session<token>

Signed-in browser session at sparkcrawl.com. Key management and checkout accept only a session.

Request Body

application/json
  1. body
name*string
Length1 <= length <= 80
scopes*array<>
Items1 <= items <= 4

Response Body

Key and one-time secret

application/json
  1. response
key?
secret?string
Example Request
curl -X POST 'https://sparkcrawl.com/api/v1/keys' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "scopes": [    "scrape"  ]}'
Example Response
{  "key": {},  "secret": "string"}